As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 783454 - [b2g-bluetooth] Create devicefound event with event generator
: [b2g-bluetooth] Create devicefound event with event generator
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla17
Assigned To: Gina Yeh [:gyeh] [:ginayeh]
:
: Andrew Overholt [:overholt]
Mentors:
: 777269 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 20:28 PDT by Gina Yeh [:gyeh] [:ginayeh]
Modified: 2012-10-31 15:38 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1: Create devicefound event with event generator (10.52 KB, patch)
2012-08-19 21:01 PDT, Gina Yeh [:gyeh] [:ginayeh]
kyle: review+
Details | Diff | Splinter Review
Final version: Create devicefound event with event generator, r=qdot (9.77 KB, patch)
2012-08-20 19:14 PDT, Gina Yeh [:gyeh] [:ginayeh]
no flags Details | Diff | Splinter Review

Description User image Gina Yeh [:gyeh] [:ginayeh] 2012-08-16 20:28:47 PDT
Since devicedisappeared event is pretty simple, it is generated by event generator (Bug778640). In order to keep consistency and increase readability, we'd like to clean up the rest of bluetooth events, like BluetoothDeviceEvent for devicefound.
Comment 1 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-08-17 03:35:42 PDT
Also for this, if the event is for b2g only, better to generate it in b2g builds only
https://bugzilla.mozilla.org/show_bug.cgi?id=778640&mark=26#c26
Comment 2 User image Gina Yeh [:gyeh] [:ginayeh] 2012-08-19 21:01:31 PDT
Created attachment 653250 [details] [diff] [review]
v1: Create devicefound event with event  generator
Comment 3 User image Gina Yeh [:gyeh] [:ginayeh] 2012-08-20 19:14:36 PDT
Created attachment 653626 [details] [diff] [review]
Final version: Create devicefound event with event  generator, r=qdot
Comment 4 User image Eric Chou [:ericchou] [:echou] 2012-08-20 19:55:52 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/ac55adc7758f
Comment 5 User image Ed Morley [:emorley] 2012-08-21 06:28:04 PDT
https://hg.mozilla.org/mozilla-central/rev/ac55adc7758f
Comment 6 User image Kyle Machulis [:qdot] 2012-10-31 15:38:03 PDT
*** Bug 777269 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.